# Bill Fetch by bill id api

Endpoint:\
Request: GET /couapp/bills/fetch/byId?billId=1ced7566-1add-4e01-9ed6-04cd67ac9684

#### Request body

<table><thead><tr><th width="242">Parent Property/Element</th><th width="218">Property/Element Name</th><th width="127">Mandatory</th><th width="117">Data Type</th><th width="248">Description</th></tr></thead><tbody><tr><td>[ROOT] (No parent property / element)</td><td>billId</td><td>M</td><td>UUID</td><td>Bill id is unique id which is generated while initiating the bill fetch request, it can be get from the bill fetch response.</td></tr></tbody></table>

#### Response body

<table><thead><tr><th width="242">Parent Property/Element</th><th width="225">Property/Element Name</th><th width="151">Mandatory</th><th width="151">Data Type</th><th width="230">Description</th></tr></thead><tbody><tr><td>[ROOT] (No parent property / element)</td><td>billId</td><td>M</td><td>UUID</td><td>Machine-generated Unique ID for a Bill, used internally</td></tr><tr><td></td><td>refId</td><td>M</td><td>Alphanumeric</td><td>Code generated by the Biller Operating Unit that acquires the customer for every bill fetch transaction initiated and used across all messages</td></tr><tr><td></td><td>billerId</td><td>M</td><td>String</td><td>Unique ID assigned to the Biller by NPCI Fixed length - 14</td></tr><tr><td></td><td>status</td><td>M</td><td>String</td><td>Status of the Operation</td></tr><tr><td></td><td>actionType</td><td>C</td><td>String</td><td>Type of Bill Payment. Possible Values: BILL_FETCH QUICKPAY BILL_VALIDATE</td></tr><tr><td></td><td>userId</td><td>M</td><td>Alphanumeric</td><td>Agent id Fixed length - 20</td></tr><tr><td></td><td>creationDate</td><td>M</td><td>String</td><td>ISO 8601 Timestamp for the Bill Creation date</td></tr><tr><td></td><td>modifiedDate</td><td>M</td><td>String</td><td>ISO 8601 Timestamp for the Bill Modification date</td></tr><tr><td></td><td>createdEpochDate</td><td>M</td><td>Numeric</td><td>UNIX Epoch Timestamp for the Bill Creation date</td></tr><tr><td></td><td>modifiedEpochDate</td><td>M</td><td>Numeric</td><td>UNIX Epoch Timestamp for the Bill Modification date</td></tr><tr><td>billerResponse</td><td>billId</td><td>M</td><td>String</td><td>Machine-generated Unique ID for a Bill, used internally</td></tr><tr><td></td><td>amount</td><td>M</td><td>String</td><td>Actual bill amount inclusive of all charges</td></tr><tr><td></td><td>billDate</td><td>M</td><td>String</td><td>This field denotes generation date of the bill</td></tr><tr><td></td><td>billNumber</td><td>M</td><td>String</td><td>This field denotes the bill number of the bill fetch / payment message requested</td></tr><tr><td></td><td>billPeriod</td><td>M</td><td>String</td><td>The bill period of the bill fetch / payment requested</td></tr><tr><td></td><td>custConvFee</td><td>M</td><td>String</td><td>Customer convenience fee (CCF1) paid by the Customer Operating Unit</td></tr><tr><td></td><td>couCustConvFee</td><td>M</td><td>String</td><td>Customer convenience fee (CCF2), paid by the Customer to Customer Operating Unit</td></tr><tr><td></td><td>dueDate</td><td>M</td><td>String</td><td>This field denotes due date of the bill</td></tr><tr><td></td><td>customerName</td><td>M</td><td>String</td><td>This field denotes customer name</td></tr><tr><td></td><td>amountOption</td><td>M</td><td>Boolean</td><td>A flag indicating if the Biller supports Amount Options</td></tr><tr><td></td><td>tagList</td><td>M</td><td>String</td><td>Amount Breakup Options eg:{"name": "Additional Charges", "value": "500"}</td></tr><tr><td>additionalInfo</td><td>name</td><td>C</td><td>String</td><td>Name of the Additional Info Parameter</td></tr><tr><td></td><td>value</td><td>C</td><td>String</td><td>Value of the Additional Info Parameter</td></tr><tr><td>customerParams</td><td>name</td><td>C</td><td>String</td><td>Name of the Customer Parameter attribute</td></tr><tr><td></td><td>value</td><td>C</td><td>String</td><td>Value of the Customer Parameter attribute</td></tr><tr><td>generalResp</td><td>statusCode</td><td>M</td><td>Numeric</td><td>200- SUCCESS Other than 200-Failure</td></tr><tr><td></td><td>status</td><td>M</td><td>String</td><td>It is either “Success” or failure</td></tr><tr><td></td><td>message</td><td>M</td><td>String</td><td>Contains the reason message for failure / success</td></tr><tr><td></td><td>remarks</td><td>C</td><td>String</td><td>Remarks</td></tr></tbody></table>

#### Success response

```json
{
    "genericResponse": {
        "message": "",
        "remarks": "",
        "status": "Success",
        "statusCode": "200"
    },
    "billId": "1ced7566-1add-4e01-9ed6-04cd67ac9684",
    "refId": "BlgcYxtJCrLU18BDm8rVDHQl0Hqf9x2XONi",
    "billerId": "DKAFEE000PUN01",
    "status": "BILL_FETCH_SUCCESS",
    "actionType": "BILL_FETCH",
    "userId": "FE41FE42BNK519012345",
    "billerResponse": {
        "billId": "1ced7566-1add-4e01-9ed6-04cd67ac9684",
        "amount": "1142000",
        "billDate": "2021-12-09",
        "billNumber": "59",
        "billPeriod": "NA",
        "custConvFee": "0",
        "couCustConvFee": "0",
        "dueDate": "2022-01-31",
        "customerName": "AGAMJOT TEST ",
        "amountOption": false,
        "tagList": null
    },
    "additionalInfo": [
        {
            "additionalInfoId": null,
            "name": "Student Name",
            "value": "AGAMJOT TEST "
        },
        {
            "additionalInfoId": null,
            "name": "Father Name",
            "value": "VIRENDER SINGH"
        },
        {
            "additionalInfoId": null,
            "name": "Class",
            "value": "STD I"
        },
        {
            "additionalInfoId": null,
            "name": "Section",
            "value": "A"
        },
        {
            "additionalInfoId": null,
            "name": "TUITION FEE",
            "value": "8670"
        },
        {
            "additionalInfoId": null,
            "name": "E-CARE FEE",
            "value": "900"
        },
        {
            "additionalInfoId": null,
            "name": "COMPUTER FEE",
            "value": "1350"
        },
        {
            "additionalInfoId": null,
            "name": "EXAM FEE",
            "value": "500"
        }
    ],
    "customerParams": [
        {
            "name": "Admission No/Application No/GR No",
            "value": "LF3130",
            "type": null
        },
        {
            "name": "Date Of Birth (DD-MM-YYYY)",
            "value": null,
            "type": null
        },
        {
            "name": "Mobile No",
            "value": null,
            "type": null
        }
    ],
    "creationDate": "2021-12-09T08:37:40.082462",
    "modifiedDate": "2021-12-09T08:37:42.303627",
    "createdEpochDate": 1639039060,
    "modifiedEpochDate": 1639039062
}
```

#### Failure response

```json
{
    "genericResponse": {
        "message": "",
        "remarks": "Fetch Request not supported, only QuickPay permitted",
        "status": "Failure",
        "statusCode": "500"
    },
    "billId": "XXXXXXXX-7d79-4e3c-bd2d-382276669ba9",
    "refId": "xxXXXxxxxxS4VZlr9bUF2lCCzFc4823081150",
    "billerId": "XXXXXXXXXXXXXX",
    "status": "BILL_FETCH_FAILED",
    "actionType": "BILL_FETCH",
    "userId": "FE41XXXXXXXXXXXXXX",
    "billerResponse": null,
    "customerParams": [
        {}
    ],
    "creationDate": "2022-11-04T11:50:50+05:30",
    "modifiedDate": "2022-11-04T11:50:50.460818",
    "createdEpochDate": 1667542850,
    "modifiedEpochDate": 1667542850
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/fetch-and-pay/bill-fetch-by-bill-id-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
